Subject: Uncaught FLOW3 Exception in FileBackend on Windows
Description

When starting the 1.0.0-alpha1 welcome screen, an "Uncaught FLOW3 Exception" is shown (see below). The exception stays even
when reloading the page.
My environment:
    -  PHP 5.3.0RC1
    -  Apache/2.2.11 (Win32)
    -  Windows XP Professional Service Pack 3

Uncaught FLOW3 Exception
#1: Warning: touch() [function.touch]: Unable to create file
D:/Server/localhost/FLOW3-1.0.0-alpha1/Data/Temporary/5775c602eb68e9f81ff2ed205a288533/default/Cache/Development/Tags/%CLASS%F3_DocumentationBrowser_RoutePartHandlers_FileRoutePartHandler/FLOW3_Reflec
ags/%CLASS%F3_DocumentationBrowser_RoutePartHandlers_FileRoutePartHandler/FLOW3_Reflection^F3_DocumentationBrowser_RoutePartHandlers_FileRoutePartHandler because No such file or directory in D:\Server\localhost\FLOW3-1.0.0-alpha1\Packages\Global\FLOW3\Classes\Cache\Backend\FileBackend.php line 183 (More in
Browser_RoutePartHandlers_FileRoutePartHandler because No such file or directory in
D:\Server\localhost\FLOW3-1.0.0-alpha1\Packages\Global\FLOW3\Classes\Cache\Backend\FileBackend.php line 183 (More
information)

F3\FLOW3\Error\Exception thrown in file
D:\Server\localhost\FLOW3-1.0.0-alpha1\Packages\Global\FLOW3\Classes\Error\ErrorHandler.php in line 98.

Related issues:
related to TYPO3.Flow - Feature # 3560: Display meaningful error message if t... Resolved 2009-06-04

History
#1 - 2009-06-03 22:09 - Tim Eilers

Did you try to change the Temporary Directory like it is described in the documentation?
There are some problems with long pathes under windows...

#2 - 2009-06-04 09:56 - David Bruehlmeier

Hi Tim,

thanks for the tip. It works!

For future reference, this is the link to the relevant doc page:
http://flow3.typo3.org/documentation/reference/introduction/?user_staticdocinclude_pi1[filepath]=ch02s02.html&#38;cHash=a43866e246

On Windows systems PHP causes problems with long filenames. To avoid errors you should change the configuration of the cache to a place
that leads to a very short absolute filepath, for example C:\t\ or C:\t\x\ (if you want to install more than one instance of FLOW3). Do that by
adding the following lines to the file Configuration/FLOW3.yaml in your FLOW3-Distribution (the indenting must be done with two spaces):

utility:
  environment:
    temporaryDirectoryBase: C:/t/x/

#3 - 2009-06-04 10:23 - Robert Lemke
- Status changed from New to Closed

Files
welcome.htm 17.1 kB 2009-06-03 David Bruehlmeier
